Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.odftoolkit.odfdom.dom.type.style
Enum OdfTextLineThroughStyleType

    java.lang.Object
      java.lang.Enum<OdfTextLineThroughStyleType>
          org.odftoolkit.odfdom.dom.type.style.OdfTextLineThroughStyleType

All Implemented Interfaces:
  Serializable, Comparable<OdfTextLineThroughStyleType>

    public enum OdfTextLineThroughStyleType

extends Enum<OdfTextLineThroughStyleType>

DOM implementation of OpenDocument attribute style:text-line-through-style.

Enum Constant Summary
`DASH`
`DOT_DASH`
`DOT_DOT_DASH`
`DOTTED`
`LONG_DASH`
`NONE`
`SOLID`
`WAVE`

Method Summary
`static OdfTextLineThroughStyleType` | `enumValueOf(String stringValue)` String to enum, turns a String into its corresponding enum constant
`String` | `toString()` gets the name of this enum.
`static String` | `toString(OdfTextLineThroughStyleType enumeration)` enum to String, gets the name of this enum constant as a string.
`static OdfTextLineThroughStyleType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static OdfTextLineThroughStyleType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NONE

    public static final OdfTextLineThroughStyleType NONE

### WAVE

    public static final OdfTextLineThroughStyleType WAVE

### DOTTED

    public static final OdfTextLineThroughStyleType DOTTED

### DOT_DOT_DASH

    public static final OdfTextLineThroughStyleType DOT_DOT_DASH

### DASH

    public static final OdfTextLineThroughStyleType DASH

### SOLID

    public static final OdfTextLineThroughStyleType SOLID

### DOT_DASH

    public static final OdfTextLineThroughStyleType DOT_DASH

### LONG_DASH

    public static final OdfTextLineThroughStyleType LONG_DASH

Method Detail

### values

    public static OdfTextLineThroughStyleType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (OdfTextLineThroughStyleType c : OdfTextLineThroughStyleType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static OdfTextLineThroughStyleType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  gets the name of this enum.

  Overrides:
    `toString` in class `Enum<OdfTextLineThroughStyleType>`
  Returns:
    return the name of OdfTextLineThroughStyleType

### toString

    public static String toString(OdfTextLineThroughStyleType enumeration)

  enum to String, gets the name of this enum constant as a string.

  Parameters:
    `enumeration` - the constant of OdfTextLineThroughStyleType, see style:text-line-through-style
  Returns:
    return the name of OdfTextLineThroughStyleType

### enumValueOf

    public static OdfTextLineThroughStyleType enumValueOf(String stringValue)

  String to enum, turns a String into its corresponding enum constant

  Parameters:
    `stringValue` - the name of OdfTextLineThroughStyleType
  Returns:
    return the constant of OdfTextLineThroughStyleType, see style:text-line-through-style

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009. All Rights Reserved.